std::money_base(3)

NAME
std::money_base - Money format ordering data.

SYNOPSIS

Inherited by std::moneypunct< _CharT, _Intl >.

  Public Types
enum { _S_minus, _S_zero, _S_end }
enum part { none, space, symbol, sign, value }

  Static Public Member Functions
static pattern _S_construct_pattern (char __precedes, char __space, char __posn) throw ()

  Static Public Attributes
static const char * _S_atoms
static const pattern _S_default_pattern

Detailed Description

Money format ordering data. This class contains an ordered array of 4 fields to represent the pattern for formatting a money amount. Each field may contain one entry from the part enum. symbol, sign, and value must be present and the remaining field must contain either none or space.

See also
    moneypunct::pos_format() and moneypunct::neg_format() for details of how these fields are interpreted.

Definition at line 928 of file locale_facets_nonio.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.